Bug 203906 - Openoffice apps won't start on x86_64
Openoffice apps won't start on x86_64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 08:50 EDT by Shannon Johnson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 08:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shannon Johnson 2006-08-24 08:50:03 EDT
Openoffice apps refuse to start, giving the following error:
-bash-3.00$ oowriter 
sh: line 1: 24380 Segmentation fault
LD_LIBRARY_PATH=/usr/lib/ooo-1.1:/usr/lib/ooo-1.1/program/usr/lib/ooo-1.1/program/setup
-R:/tmp/ooo-wrapper.autoresponse.file.y24378 -v -nogui
>~/.openoffice-install-log 2>&1
Installation of OpenOffice.org 1.1.5 failed:
 'LD_LIBRARY_PATH=/usr/lib/ooo-1.1:/usr/lib/ooo-1.1/program
/usr/lib/ooo-1.1/program/setup -R:/tmp/ooo-wrapper.autoresponse.file.y24378 -v
-nogui > ~/.openoffice-install-log 2>&1'

It works under local users, but if the user has an NFS-mounted home directory,
they get that error.

When Openoffice starts, it creates a folder in the user's home directory called
.rhopenoffice1.1. It then creates a symlink called soffice that points to
/usr/lib/ooo-1.1/program/soffice. On the 64-bit system, that folder and link are
never created. On a 32-bit system, they are created and work fine. If the user
logs into a 32-bit system to create that symlink, then the 64-bit system works.
The user can't create the symlink manually, or they get the same error as if the
symlink didn't exist at all.



Version-Release number of selected component (if applicable): 1.1.5


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-08-24 09:04:31 EDT
I need 

a) the version of OOo, rpm -q openoffice.org
b) the file ~/.openoffice-install-log which was created above (perhaps empty?)
c) you can try 
> gdb /usr/lib/ooo-1.1/program/setup
(gdb) run
wait for crash (if any)
(gdb) bt
and paste the backtrace here
Comment 2 Shannon Johnson 2006-08-24 09:25:49 EDT
The problem only appears if the home directory of the user is mounted on a
Windows-based NFS server. It works fine on a linux-based NFS server... so it
might be a problem with Microsoft's implementation.
Comment 3 Shannon Johnson 2006-08-24 09:28:47 EDT
A) openoffice.org-1.1.5-4.6.0.EL4
B) It's empty.
C) It says:
This GDB was configured as
"x86_64-redhat-linux-gnu"..."/usr/lib/ooo-1.1/program/setup": not in executable
format: File format not recognized.

(gdb) run
Starting program:
No executable file specified.
Use the "file" or "exec-file" command.


Comment 4 Caolan McNamara 2006-08-24 09:35:54 EDT
maybe in RHEL-4 setup was a script, perhaps
gdb /usr/lib/ooo-1.1/program/setup.bin
etc...

might be file locking, that's another possibility.
Comment 5 Shannon Johnson 2006-08-24 10:08:39 EDT
The run and backtrace completed... no visible errors... here's what it came back
with:

(gdb) run
Starting program: /usr/lib/ooo-1.1/program/setup.bin 
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0xffffe000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 4160616992 (LWP 28739)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Detaching after fork from child process 28742.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160616992 (LWP 28739)]
0x02511c61 in SiCompiler::AddSystemObjectsTo () from
/usr/lib/ooo-1.1/program/libset645li.so
(gdb) bt
#0  0x02511c61 in SiCompiler::AddSystemObjectsTo () from
/usr/lib/ooo-1.1/program/libset645li.so
#1  0x02510c9f in SiCompiler::CompileTo () from
/usr/lib/ooo-1.1/program/libset645li.so
#2  0x08063ef1 in SetupApp::ReadScript ()
#3  0x080639fd in SetupApp::ReadScript ()
#4  0x0806188d in SetupApp::FindAndReadScript ()
#5  0x0805bc9d in SetupApp::Main ()
#6  0x08065aea in sal_main ()
#7  0x08065ac0 in main ()
(gdb) 



On the NFS mount, I have nolock specified.

Note You need to log in before you can comment on or make changes to this bug.